{ 990313N1.PAS                                                              }
{ 1999-03-13 programmeerimisolmpiaadi noorema rhma 1. lesande lahendus   }
{    STATISTILINE SNASTIK                                                  }
{ Ahto Truu                                                                 }

const
   sisf = 'SONAD.SIS';                                   { sisendfaili nimi }
   valf = 'SONAD.VAL';                                  { vljundfaili nimi }
   maxn = 1000;                         { maksimaalne snade arv snastikus }
   maxs = 20;                                     { maksimaalne sna pikkus }

type
   sona = string[maxs];
   info = record                                     { sna info snastikus }
      s : sona;                                                      { sna }
      k : integer;                                           { korduste arv }
   end;
   sonastik = record                                             { snastik }
      n : integer;                                  { snade arv snastikus }
      a : array [1..maxn] of info;                         { snastiku sisu }
   end;

procedure lisa_sona (var w : sonastik; s : sona);
var i : integer; f : boolean;
begin
   i := 0; f := false;
   while (i < w.n) and not f do begin
      i := i + 1;
      f := w.a[i].s = s;
   end;
   if f then
      w.a[i].k := w.a[i].k + 1
   else begin
      w.n := w.n + 1;
      w.a[w.n].s := s;
      w.a[w.n].k := 1;
   end;
end;

procedure loe_sisend (var w : sonastik);
var f : text; c : char; s : sona;
begin
   w.n := 0; s := '';
   assign (f, sisf); reset (f);
   while not eof (f) do begin
      read (f, c);
      if c in ['A'..'Z'] then
         s := s + c
      else begin
         if s > '' then
            lisa_sona (w, s);
         s := '';
      end;
   end;
   if s > '' then
      lisa_sona (w, s);
   close (f);
end;

procedure tee_valjund (var w : sonastik);
var f : text; i : integer;
begin
   assign (f, valf); rewrite (f);
   for i := 1 to w.n do
      writeln (f, w.a[i].s, ' ', w.a[i].k);
   close (f);
end;

var
   w : sonastik;
begin
   loe_sisend (w);
   tee_valjund (w);
end.
