{ 990313V1.PAS                                                              }
{ 1999-03-13 programmeerimisolmpiaadi vanema rhma 1. lesande lahendus    }
{    FAILIDE KOPEERIMINE                                                    }
{ Ahto Truu                                                                 }

const
   sisf = 'FAILID.SIS';                                  { sisendfaili nimi }
   valf = 'FAILID.VAL';                                 { vljundfaili nimi }
   maxn = 1000;                                   { maksimaalne failide arv }
   maxf = 12;                                { maksimaalne failinime pikkus }

type
   nimi = string[maxf];
   info = record                                               { faili info }
      n : nimi;                                                      { nimi }
      p : longint;                                                 { pikkus }
   end;
   failid = record                                       { failide nimekiri }
      n : integer;                                            { failide arv }
      f : array [1..maxn] of info;                                 { failid }
   end;

procedure lisa_fail (var w : failid; t : string; p : longint);
var s : string; i : integer; f : boolean;
begin
   s := '';
   for i := 1 to length (t) do
      if t[i] = '\' then
         s := ''
      else
         s := s + t[i];
   i := 0; f := false;
   while (i < w.n) and not f do begin
      i := i + 1;
      f := (w.f[i].n = s) and (w.f[i].p = p);
   end;
   if not f then begin
      w.n := w.n + 1;
      w.f[w.n].n := s;
      w.f[w.n].p := p;
   end;
end;

procedure loe_sisend (var w : failid);
var f : text; n, i : integer; p : longint; t : string;
begin
   w.n := 0;
   assign (f, sisf); reset (f);
   readln (f, n);
   for i := 1 to n do begin
      readln (f, p, t);
      lisa_fail (w, t, p);
   end;
   close (f);
end;

procedure tee_valjund (var w : failid);
var f : text; i : integer; p : longint;
begin
   p := 0;
   for i := 1 to w.n do
      p := p + w.f[i].p;

   assign (f, valf); rewrite (f);
   writeln (f, w.n, ' ', p);
   close (f);
end;

var
   w : failid;
begin
   loe_sisend (w);
   tee_valjund (w);
end.
