{ 990313N2.PAS                                                              }
{ 1999-03-13 programmeerimisolmpiaadi noorema rhma 2. lesande lahendus   }
{    KIIP                                                                   }
{ Ahto Truu                                                                 }

const
   sisf = 'KIIP.SIS';                                    { sisendfaili nimi }
   valf = 'KIIP.VAL';                                   { vljundfaili nimi }
   maxx = 100;                                    { kiibi maksimaalne laius }
   maxy = 100;                                   { kiibi maksimaalne krgus }
   maxa = 2 * (maxx + maxy);              { maksimaalne jada elementide arv }
   maxd = 4;                            { maksimaalne henduste arv punktil }

type
   solm = record                                          { kiibi vrguslm }
      x, y : integer;                                  { slme koordinaadid }
   end;
   kiip = record                                          { kiibi kirjeldus }
      x, y : integer;                                       { kiibi mtmed }
      o : array [0..maxx, 0..maxy] of integer;             { slmede olekud }
      a, b : solm;                  { puuduva henduse algus- ja lpp-punkt }
      p : integer;                               { lisatava henduse pikkus }
   end;
   jada = record                                       { kiibi slmede hulk }
      n : integer;                                     { slmede arv hulgas }
      s : array [1..maxa] of solm;                                 { slmed }
   end;

procedure loe_sisend (var k : kiip);
var f : text; n, i, x, y : integer;
begin
   assign (f, sisf); reset (f);
   readln (f, k.x, k.y, n);
   for x := 0 to k.x do
      for y := 0 to k.y do
         k.o[x, y] := 0;
   for i := 1 to n do begin
      read (f, x, y); k.o[x, y] := -1;
      read (f, x, y); k.o[x, y] := -1;
      readln (f);
   end;
   readln (f, k.a.x, k.a.y, k.b.x, k.b.y);
   close (f);
end;

{ leiab slme s1 naabri suunas d: 1 - paremal, 2 - leval, 3 - vasakul, 4 - all }
procedure leia_naaber (s1 : solm; d : integer; var s2 : solm);
const
   dx : array [1..maxd] of integer = (1, 0, -1, 0);
   dy : array [1..maxd] of integer = (0, 1, 0, -1);
begin
   s2.x := s1.x + dx[d]; s2.y := s1.y + dy[d];
end;

{ kontrollib, kas slm jb kiibi piiridesse }
function kiibil (var k : kiip; s : solm) : boolean;
begin
   kiibil := not ((s.x < 0) or (s.x > k.x) or (s.y < 0) or (s.y > k.y));
end;

procedure leia_pikkus (var k : kiip);
var a1, a2 : jada; s1, s2 : solm; i, d : integer;
begin
   k.o[k.a.x, k.a.y] := 1;
   a1.n := 1; a1.s[1] := k.a;
   while (k.o[k.b.x, k.b.y] = 0) and (a1.n > 0) do begin
      a2.n := 0;
      for i := 1 to a1.n do begin
         s1 := a1.s[i];
         for d := 1 to maxd do begin
            leia_naaber (s1, d, s2);
            if kiibil (k, s2) then
               if k.o[s2.x, s2.y] = 0 then begin
                  k.o[s2.x, s2.y] := k.o[s1.x, s1.y] + 1;
                  a2.n := a2.n + 1; a2.s[a2.n] := s2;
               end;
         end;
      end;
      for i := 1 to a2.n do
         a1.s[i] := a2.s[i];
      a1.n := a2.n;
   end;
   if k.o[k.b.x, k.b.y] > 0 then
      k.p := k.o[k.b.x, k.b.y] - 1
   else
      k.p := -1;
end;

procedure tee_valjund (var k : kiip);
var f : text;
begin
   assign (f, valf); rewrite (f);
   if k.p < 0 then
      writeln (f, 'EI SAA')
   else
      writeln (f, k.p);
   close (f);
end;

var
   k : kiip;
begin
   loe_sisend (k);
   leia_pikkus (k);
   tee_valjund (k);
end.
