{ kontroll.pas                                                              }
{ 1999-03-13 programmeerimisolmpiaadi noorema rhma 3. lesande testija    }
{    KINDLUS                                                                }
{ Ahto Truu                                                                 }

{$I-}

const
   maxx = 1000;                                   { maksimaalne pildi laius }
   maxy = 1000;                                  { maksimaalne pildi krgus }

type
   myyr = array [0..maxx] of integer;               { mr on krguste jada }

procedure loe_myyr (var f : text; var m : myyr);
var n, i, j, x, y, xx, yy : integer;
begin
   read (f, n);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (1), ' lugemisel');
      halt (1);
   end;
   if (n < 4) or (n mod 2 = 1) then begin
      writeln ('Lubamatu sisendi maht ', n, ' failis ', paramstr (1));
      halt (1);
   end;
   if not eoln (f) then begin
      writeln ('Liigsed smbolid faili ', paramstr (1), ' rea lpus');
      halt (1);
   end;
   readln (f);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (1), ' lugemisel');
      halt (1);
   end;

   xx := 0; yy := 0;
   for i := 1 to n do begin
      read (f, x, y);
      if ioresult <> 0 then begin
         writeln ('Viga faili ', paramstr (1), ' lugemisel');
         halt (1);
      end;
      if i = 1 then begin
         if (x < 0) or (x > maxx) or (y <> 0) then begin
            writeln ('Lubamatu sisend ', x, ' ', y, ' failis ', paramstr (1));
            halt (1);
         end;
      end else if i = n then begin
         if (x <> xx) or (y <> 0) then begin
            writeln ('Lubamatu sisend ', x, ' ', y, ' failis ', paramstr (1));
            halt (1);
         end;
      end else if i mod 2 = 0 then begin
         if (x <> xx) or (y < 1) or (y > maxy) or (y = yy) then begin
            writeln ('Lubamatu sisend ', x, ' ', y, ' failis ', paramstr (1));
            halt (1);
         end;
      end else
         if (x <= xx) or (y < 1) or (y > maxy) then begin
            writeln ('Lubamatu sisend ', x, ' ', y, ' failis ', paramstr (1));
            halt (1);
         end;
      if not eoln (f) then begin
         writeln ('Liigsed smbolid faili ', paramstr (1), ' rea lpus');
         halt (1);
      end;
      readln (f);
      if ioresult <> 0 then begin
         writeln ('Viga faili ', paramstr (1), ' lugemisel');
         halt (1);
      end;

      if yy = y then
         for j := xx to x - 1 do
            m[j] := yy;
      xx := x; yy := y;
   end;
   for j := xx to maxx do
      m[j] := 0;
end;

procedure loe_sisend (var h, m : myyr);
var f : text;
begin
   assign (f, paramstr (1)); reset (f);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (1), ' avamisel');
      halt (1);
   end;

   loe_myyr (f, h);
   loe_myyr (f, m);

   if not eof (f) then begin
      writeln ('Liigsed smbolid faili ', paramstr (1), ' lpus');
      halt (1);
   end;
   close (f);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (1), ' lugemisel');
      halt (1);
   end;
end;

procedure tee_valjund (var h, m : myyr; var s : longint);
var i : integer;
begin
   s := 0;
   for i := 0 to maxx do
      if h[i] < m[i] then
         s := s + m[i] - h[i];
end;

procedure loe_valjund (var s : longint);
var f : text;
begin
   assign (f, paramstr (2)); reset (f);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (2), ' avamisel');
      halt (1);
   end;

   read (f, s);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (2), ' lugemisel');
      halt (1);
   end;
   if not eoln (f) then begin
      writeln ('Liigsed smbolid faili ', paramstr (2), ' 1. rea lpus');
      halt (1);
   end;
   if not seekeoln (f) then begin
      writeln ('Liigsed thikud faili ', paramstr (2), ' 1. rea lpus');
   end;
   readln (f);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (2), ' lugemisel');
      halt (1);
   end;

   if not eof (f) then begin
      writeln ('Liigsed smblid faili ', paramstr (2), ' lpus');
      halt (1);
   end;
   close (f);
   if ioresult <> 0 then begin
      writeln ('Viga faili ', paramstr (2), ' lugemisel');
      halt (1);
   end;
end;

var
   h, m : myyr;
   s : longint;
   ss : longint;
begin
   if paramcount <> 2 then begin
      writeln ('Sntaks on: ', paramstr (0), ' sisendfail vljundfail');
      halt (1);
   end;

   loe_sisend (h, m);
   tee_valjund (h, m, s);

   loe_valjund (ss);

   if ss <> s then begin
      writeln ('Vale vastus ', ss, ' failis ', paramstr (2));
      halt (1);
   end;

   writeln ('Korras');
end.
